
<?php

// compteur de page générées x fois
$fp = fopen("series/compteur_serieman.txt","r+");
$nbvisites = fgets($fp,11);
$nbvisites++;
fseek($fp,0);
fputs($fp,$nbvisites);
fclose($fp); 

if(isset($_POST['manuel'])){							   

// Infos sur la release
$titre = htmlentities(stripslashes($_POST['titre'])); 
$affiche = htmlentities($_POST['affiche']);
$realisateur = htmlentities($_POST['realisateur']);
$pays = htmlentities($_POST['pays']);
$duree = htmlentities($_POST['duree']);
$acteurs = htmlentities($_POST['acteurs']);
$genre = htmlentities($_POST['genre']);
$joursortie = htmlentities($_POST['joursortie']);
$moissortie = htmlentities($_POST['moissortie']);
$anneesortie = htmlentities($_POST['anneesortie']);
$anneeproduction = htmlentities($_POST['anneeproduction']);
$titreoriginal = htmlentities($_POST['titreoriginal']);
$distribution = htmlentities($_POST['distribution']);
// qualité de la release
$synopsis = htmlentities(stripslashes($_POST['synopsis']));
$qualite = htmlentities($_POST['qualite']);
$format = htmlentities($_POST['format']);
$langue = htmlentities($_POST['langue']);
$soustitres = htmlentities($_POST['soustitres']);
$mini_img = htmlentities($_POST['mini_img']);
// Infos sur l'upload
$tag = htmlentities($_POST['tag']);
$decoupage = htmlentities($_POST['decoupage']);
$uploader = htmlentities($_POST['uploader']);
$nbfichiers = htmlentities($_POST['nbfichiers']);
$taillefichiers = htmlentities($_POST['taillefichiers']);
$mogofile = htmlentities($_POST['mogofile']);
$tailletotale = htmlentities($_POST['tailletotale']);
$mogottc = htmlentities($_POST['mogottc']);
// Infos supplémentaires
$Lien = htmlentities($_POST['lien']);
$Hide = htmlentities($_POST['hide']);
$Center = htmlentities($_POST['Center']);
$Selectcolor = htmlentities($_POST['Selectcolor']);
$color = htmlentities($_POST['color']);
$quote = htmlentities($_POST['quote']);
$style = htmlentities($_POST['style']);
$mdp = htmlentities($_POST['mdp']);
$Sample = htmlentities($_POST['Sample']);
$samp = htmlentities($_POST['samp']);
$remerciement = htmlentities($_POST['remerciement']);
$remerci = htmlentities($_POST['remerci']);
$inforelease = htmlentities($_POST['inforelease']);

	echo '<center>';
	
	// si case center cocher
	if ($Center == '1'){
	$center = '<center>';
	$center2 = '</center>';
	$center_ = '[center]';
	$center_2 = '[/center]';
	// sinon
	}else{}

	// si case couleur cocher
	if ($Selectcolor == '1'){
	$Selectcolor1 = '<font color='.$color.'>';
	$Selectcolor_1 = '</font>';
	$Selectcolor2 = '[color='.$color.']';
	$Selectcolor_2 = '[/color]';
	// sinon
	}else{}

	// si case quote cocher
	if ($quote == '1'){
	$quote = '<div style="width:97%;background-color:#DFDFDF; border:#C1C1C1 3px solid;">';
	$quote2 = '</div>';
	$quote_ = '[quote]';
	$quote_2 = '[/quote]';
	// sinon
	}else{}
	
	// si case lien remerciement cocher
	if ($remerci == '1'){
	$merci = '<div style="padding-left:20px; width:97%"><a href='.$remerciement.' target="_blank"><img src="'.$url_default.'images/merci.png" /></a></div><br />';
	$merci2 = '[url='.$remerciement.'][img]'.$url_default.'images/merci.png[/img][/url]'. "\n\n";
	// sinon
	}else{}
	
	// écriture de la date
	$date = $joursortie.' '.$moissortie.' '.$anneesortie;
	
	// réécriture des decoupages
	$decoupage1 = '<img src="./images/decoupage/'.$decoupage.'-1.png" />';
	$decoupage2 = '[img]'.$url_default.'images/decoupage/'.$decoupage.'-1.png[/img]';

	// réécriture de la langue
	$langue1 = '<img src="./images/flags/'.$langue.'-1.png" />';
	$langue2 = '[img]'.$url_default.'images/flags/'.$langue.'-1.png[/img]';

	// réécriture du sous_titre
	$soustitres1 = '<img src="'.$url_default.'images/flags/'.$soustitres.'-1.png" />';
	$soustitres2 = '[img]'.$url_default.'images/flags/'.$soustitres.'-1.png[/img]';

	// réécriture des hébergeur
	$heberg1 = '<img src="./images/heberg/'.$tag.'.png" />';
	$heberg2 = '[img]'.$url_default.'images/heberg/'.$tag.'.png[/img]';

	// réécriture de la qualité du film
	$quality1 = '<img src="./images/qualite/'.$qualite.'.png" />';
	$quality2 = '[img]'.$url_default.'images/qualite/'.$qualite.'.png[/img]';

	// réécriture des formats du film
	$format1 = '<img src="./images/format/'.$format.'.png" />';
	$format2 = '[img]'.$url_default.'images/format/'.$format.'.png[/img]';
	
	
	echo $center.'<br /><br /><font size="4" color="red"><b>..:: '.$titre.' ::..</b></font><br /><br />';

	echo '<img src="'.$affiche.'" /><br /><br />';
	
	echo '<img src="./images/controle/'.$mini_img.'-1.jpg" /><br /><br />';
	
	echo '<img src="./img_cat/'.$style.'/info_film.png"/><br /><br />';

	echo '<div style="padding-left:20px; width:97%">';
	echo $Selectcolor1.'<b>Réalisateur :</b> '.$realisateur.'<br />';
	echo '<b>Pays :</b> '.$pays.'<br />';
	echo '<b>Durée :</b> '.$duree.'<br />';
	echo '<b>Acteurs :</b> '.$acteurs.'<br />';
	echo '<b>Date de sortie :</b> '.$date.'<br />';
	echo '<b>Année de production :</b> '.$anneeproduction.'<br />';
	echo '<b>Genre :</b> '.$genre.'<br />';
	echo '<b>Titre Original :</b> '.$titreoriginal.'<br /><br />'.$Selectcolor_1;
	echo '</div>';
	
	echo '<img src="./img_cat/'.$style.'/syn_film.png"/><br /><br />';

	echo $Selectcolor1.'<i">'.$synopsis.'</i><br /><br />'.$Selectcolor_1;
	
	echo '<img src="./img_cat/'.$style.'/up_film.png"/><br /><br />';

	// formatage de la taille et nbre de fichier

	// Calcul total du UP
	$tailletotale = $nbfichiers * $taillefichiers;
	// Fonction pour Afficher Ko, Mo ou Go
	if
		($tailletotale < 1 ){
		$tailletotales = ($tailletotale*1024);
		$affichage = number_format($tailletotales, 0, ",", " ");
		$unites = $affichage." Ko";}
		elseif
		($tailletotale >= 1024 ){
		$tailletotales = ($tailletotale/1024);
		$affichage = number_format($tailletotales, 2, ",", " ");
		$unites = $affichage." Go";}
		elseif
		($tailletotale <= 999 ){
		$tailletotales = ($tailletotale*1);
		$affichage = number_format($tailletotales, 2, ",", " ");
		$unites = $affichage." Mo";}
		else{}

	// fin du formatage de la taille et nbre de fichier

	echo '<div style="padding-left:20px; width:97%">';
	echo $Selectcolor1.'<b>Hébergeur :</b> '.$heberg1.'<br />';
	echo '<br />';
	echo '<b>Uploader :</b> <i>'.$uploader.'</i><br />';
	echo '<br />';
	echo '<b>Info sur la release :</b> <i>'.$inforelease.'</i><br />';
	echo '<br />';
	echo '<b>Qualité :</b> '.$quality1.'<br />';
	echo '<b>Format :</b> '.$format1.'<br />';
	echo '<b>Langue :</b> '.$langue1.'<br />';
	echo '<b>Sous-titre :</b> '.$soustitres1.'<br />';
	echo '<b>Découpage :</b> '.$decoupage1.'<br />';
	echo '<br />';
	echo '<b>Nombre de fichiers :</b> <i>'.$nbfichiers.'</i><br />';
	echo '<br />';
	echo '<b>Taille des fichiers :</b> <i>'.$taillefichiers.'</i>  Mo<br />';
	echo '<br />';
	echo '<font color="red"><b>Taille totale :</b></font> <i>'.$unites.'</i> <br /><br />'.$Selectcolor_1;
        echo '</div><br />';
	
	echo '<img src="./img_cat/'.$style.'/dl_film.png"/><br /><br />';
	
	echo '<div style="padding-left:20px; width:95%">
	      <div style="background-color:#FFFFFF; border:#0066FF 1px dashed">';
		  
	// reecriture des url	  
	$lien = explode ("\n",$Lien);
        // si case hide cocher
	if ($Hide == '1'){
	$hide = '<DL class=hidebox><DT class=unhide>HIDE: ON<DD>';
	foreach ($lien as $link) {
	$hide .=$quote.'[url]'.trim($link).'[/url]<br>'.$quote2;
    }
	$hide .= '</DD></DL>';
	// sinon
	}else{
	$hide = '<DL class=hidebox><DT class=hide>HIDE: OFF<DD>';
	foreach ($lien as $link) {
	$hide .=$quote.'[url]'.trim($link).'[/url]<br>'.$quote2;
    }
	$hide .= '</DD></DL>';
	}
	echo $hide;
		  
	echo '</div></div><br><div style="padding-left:20px; width:97%">';
	echo $Selectcolor1.'<b>Mot de passe :</b> <i>'.$mdp.'</i></div><br />'.$Selectcolor_1;
	
		$total += $tailletotale;
	echo '<div style="padding-left:20px; width:97%">';
	echo '<font color="red"><b>Total du post:</b> '.$total.',00 Mo</font><br />';
	echo '<br />';
	echo $sample1.$merci;
	echo '<div style="padding-left:20px; width:97%">';
	echo '<b><a href="'.$url_default.'index.php"><img src="./images/generateur.png" alt="'.$team.'" /></a></b>';
	echo '</div>'.$center2;
	echo '</center>';

// BBCode pour PhpBB & PunBB 

echo '<br /><br />';
echo '<p class="titre" style="margin: 0px 0px 0px 10px;"><img src="images/fleche.gif" alt="fleche" width="31" height="12" />BBCode à coller dans votre message</p>';

echo '<center>';
echo '<fieldset class="fieldset">';
echo '<legend class="legend2"><b>PhpBB, PunBB, IPB & VBULLETIN Section Film</b></legend><center>';
echo '<input name="texttag" type="text" id="texttag" value="'.$titre.' ('.$genre.')" size="70" onclick="this.select()"><br><br>';
echo '<textarea name="textpost" cols="85" rows="10" onclick="this.select()">';

	
	echo $center_.'[color=red][b]..:: '.$titre.' ::..[/b][/color]'."\n\n";

	echo '[img]'.$affiche.'[/img]' ."\n\n";
	
	echo '[img]'.$url_default.'images/controle/'.$mini_img.'-1.jpg[/img]' ."\n\n";

	echo '[img]'.$url_default.'img_cat/'.$style.'/info_film.png[/img]'."\n\n";
	
	echo $Selectcolor2.'[b][u]Réalisateur[/u] : [/b] [i]'.$realisateur.'[/i]' ."\n";
	echo '[b][u]Pays[/u] : [/b] [i]'.$pays.'[/i]' ."\n";
	echo '[b][u]Durée[/u] : [/b] [i]'.$duree.'[/i]' ."\n";
	echo '[b][u]Acteurs[/u] : [/b] [i]'.$acteurs.'[/i]' ."\n";
	echo '[b][u]Date de sortie[/u] : [/b] [i]'.$date.'[/i]' ."\n";
	echo '[b][u]Année de production[/u] : [/b] [i]'.$anneeproduction.'[/i]' ."\n";
	echo '[b][u]Genre[/u] : [/b] [i]'.$genre.'[/i]' ."\n";
	echo '[b][u]Titre Original[/u] : [/b] [i]'.$titreoriginal.'[/i]'.$Selectcolor_2."\n\n";
	
	echo '[img]'.$url_default.'img_cat/'.$style.'/syn_film.png[/img]'."\n\n";
          
	echo $Selectcolor2.'[i]'.$synopsis.'[/i]'.$Selectcolor_2."\n\n";
	
   	echo '[img]'.$url_default.'img_cat/'.$style.'/up_film.png[/img]'."\n\n";
	
	echo $Selectcolor2.'[b][u]Hébergeur[/u] : [/b] [i]'.$heberg2.'[/i]' ."\n\n";
	echo '[b][u]Uploader[/u] : [/b] [i]' . $uploader . '[/i]' ."\n";
	echo '[b][u]Info sur la release[/u] :[/b] [i]'.$inforelease.'[/i]'. "\n\n";
	echo '[b][u]Qualité[/u] : [/b] [i]'.$quality2.'[/i]' ."\n";
	echo '[b][u]Format[/u] : [/b] [i]'.$format2.'[/i]' ."\n";
	echo '[b][u]Langue[/u] : [/b] [i]'.$langue2.'[/i]' ."\n";
	echo '[b][u]Sous titre[/u] : [/b] [i]'.$soustitres2.'[/i]' ."\n";
	echo '[b][u]Découpage[/u] : [/b] [i]'.$decoupage2.'[/i]' ."\n";
	echo '[b][u]Nombre de fichiers et tailles[/u] : [/b] [i]'.$nbfichiers.' x '.$taillefichiers .' Mo '.$total2.'[/i]' ."\n\n";
	echo '[color=red][b][u]Taille totale[/u] : [/b][/color][i]'.$unites.'[/i]'.$Selectcolor_2."\n\n";
	
	echo '[img]'.$url_default.'img_cat/'.$style.'/dl_film.png[/img]'."\n\n";
	
	// reecriture des url	  
	$liens = explode ("\n",$Lien);
        // si case hide cocher
	if ($Hide == '1'){
	$hides .= '[hide]'."\n";
	foreach ($liens as $links) {
	$hides .= $quote_.''.trim($links).'' .$quote_2."\n";
    }
	$hides .= '[/hide]'."\n";
	// sinon
	}else{
	$hides .= "\n";
	foreach ($liens as $links) {
	$hides .= $quote_.''.trim($links).'' .$quote_2."\n";
	}
	$hides .= "\n";
	}
	echo $hides."\n";
	
	echo $Selectcolor2.'[b][u]Mot de pass[/u] : [/b] [i]'.$mdp.'[/i]'.$Selectcolor_2."\n\n";
	echo '[color=red][b]Total du post: '.$total.',00 Mo '. '[/b][/color]'. "\n\n";
	echo $sample2.$merci2;
	echo '[url='.$url_default.'index.php][img]'.$url_default.'images/generateur.png[/img][/url]'.$center_2;

echo '</textarea></center>';
echo '</fieldset>';

// BBCode pour PhpBB & PunBB 

echo '<br /><br />';

echo '<center>';
echo '<fieldset class="fieldset">';
echo '<legend class="legend2"><b>HTML & Blog Section Film</b></legend><center>';
echo '<input name="texttag" type="text" id="texttag" value="'.$titre.' ('.$genre.')" size="70" onclick="this.select()"><br><br>';
echo '<textarea name="textpost" cols="85" rows="10" onclick="this.select()">';

	echo $center.'<br /><br /><font size="4" color="red"><b>..:: '.$titre.' ::..</b></font><br /><br />';

	echo '<img src="'.$affiche.'" /><br /><br />';
	
	echo '<img src="./images/controle/'.$mini_img.'-1.jpg" /><br /><br />';
	
	echo '<img src="./img_cat/'.$style.'/info_film.png"/><br /><br />';

	echo '<div style="padding-left:20px; width:97%">';
	echo $Selectcolor1.'<b>Réalisateur :</b> '.$realisateur.'<br />';
	echo '<b>Pays :</b> '.$pays.'<br />';
	echo '<b>Durée :</b> '.$duree.'<br />';
	echo '<b>Acteurs :</b> '.$acteurs.'<br />';
	echo '<b>Date de sortie :</b> '.$date.'<br />';
	echo '<b>Année de production :</b> '.$anneeproduction.'<br />';
	echo '<b>Genre :</b> '.$genre.'<br />';
	echo '<b>Titre Original :</b> '.$titreoriginal.'<br /><br />'.$Selectcolor_1;
	echo '</div>';
	
	echo '<img src="./img_cat/'.$style.'/syn_film.png"/><br /><br />';

	echo $Selectcolor1.'<i">'.$synopsis.'</i><br /><br />'.$Selectcolor_1;
	
	echo '<img src="./img_cat/'.$style.'/up_film.png"/><br /><br />';

	echo '<div style="padding-left:20px; width:97%">';
	echo $Selectcolor1.'<b>Hébergeur :</b> '.$heberg1.'<br />';
	echo '<br />';
	echo '<b>Uploader :</b> <i>'.$uploader.'</i><br />';
	echo '<br />';
	echo '<b>Info sur la release :</b> <i>'.$inforelease.'</i><br />';
	echo '<br />';
	echo '<b>Qualité :</b> '.$quality1.'<br />';
	echo '<b>Format :</b> '.$format1.'<br />';
	echo '<b>Langue :</b> '.$langue1.'<br />';
	echo '<b>Sous-titre :</b> '.$soustitres1.'<br />';
	echo '<b>Découpage :</b> '.$decoupage1.'<br />';
	echo '<br />';
	echo '<b>Nombre de fichiers :</b> <i>'.$nbfichiers.'</i><br />';
	echo '<br />';
	echo '<b>Taille des fichiers :</b> <i>'.$taillefichiers.'</i>  Mo<br />';
	echo '<br />';
	echo '<font color="red"><b>Taille totale :</b></font> <i>'.$unites.'</i> <br /><br />'.$Selectcolor_1;
        echo '</div><br />';
	
	echo '<img src="./img_cat/'.$style.'/dl_film.png"/><br /><br />';
	
	echo '<div style="padding-left:20px; width:95%">
	      <div style="background-color:#FFFFFF; border:#0066FF 1px dashed">';
		  
	// reecriture des url	  
	$lien = explode ("\n",$Lien);
        // si case hide cocher
	if ($Hide == '1'){
	$hide = '<DL class=hidebox><DT class=unhide>HIDE: ON<DD>';
	foreach ($lien as $link) {
	$hide .=$quote.'[url]'.trim($link).'[/url]<br>'.$quote2;
    }
	$hide .= '</DD></DL>';
	// sinon
	}else{
	$hide = '<DL class=hidebox><DT class=hide>HIDE: OFF<DD>';
	foreach ($lien as $link) {
	$hide .=$quote.'[url]'.trim($link).'[/url]<br>'.$quote2;
    }
	$hide .= '</DD></DL>';
	}
	echo $hide;
		  
	echo '</div></div><br><div style="padding-left:20px; width:97%">';
	echo $Selectcolor1.'<b>Mot de passe :</b> <i>'.$mdp.'</i></div><br />'.$Selectcolor_1;
	
		$total5 += $tailletotale;
	echo '<div style="padding-left:20px; width:97%">';
	echo '<font color="red"><b>Total du post:</b> '.$total5.',00 Mo</font><br />';
	echo '<br />';
	echo $sample1.$merci;
	echo '<div style="padding-left:20px; width:97%">';
	echo '<b><a href="'.$url_default.'index.php"><img src="./images/generateur.png" alt="'.$team.'" /></a></b>';
	echo '</div>'.$center2;

echo '</textarea></center>';
echo '</center>';

}else{ 
	echo '<meta http-equiv="Refresh" content="1;URL='.$PHP_SELF.'?page=musiques">';
}
?>		